package body MSHTML.DispHTCAttachBehavior_Object is

   procedure FireEvent
     (This : DispHTCAttachBehavior_Type;
      evt  : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Invoke
        (This,
         DispHTCAttachBehavior_FireEvent,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => evt),
         Free);
   end FireEvent;

   procedure detachEvent
     (This : DispHTCAttachBehavior_Type)
   is
   begin
      Invoke (This, DispHTCAttachBehavior_detachEvent);
   end detachEvent;

end MSHTML.DispHTCAttachBehavior_Object;

